# Makefile.in generated by automake 1.9.3 from Makefile.am.
# kawa/lib/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/kawa
pkglibdir = $(libdir)/kawa
pkgincludedir = $(includedir)/kawa
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(top_srcdir)/Make-rules ChangeLog
subdir = kawa/lib
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
ACLOCAL = ${SHELL} /tmp/unmodified/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /tmp/unmodified/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /tmp/unmodified/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/unmodified/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/unmodified/missing --run automake-1.9
AWK = gawk
AWT_SELECTED = WITHOUT_AWT
BYTECODE_VERSION = 1.7.91
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"kawa\" -DPACKAGE_TARNAME=\"kawa\" -DPACKAGE_VERSION=\"1.7.91\" -DPACKAGE_STRING=\"kawa\ 1.7.91\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"kawa\" -DVERSION=\"1.7.91\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" 
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
ENABLE_KAWA_FRONTEND_FALSE = #
ENABLE_KAWA_FRONTEND_TRUE = 
ENABLE_SERVLET_FALSE = 
ENABLE_SERVLET_TRUE = #
ENABLE_XML_FALSE = 
ENABLE_XML_TRUE = #
EXEEXT = 
FGREP = /bin/grep -F
GCJ = gcj
GCJDEPMODE = depmode=gcc3
#GCJFLAGS = -gdwarf-2
GCJFLAGS = -g -O
GCJ_COMPILED_SELECTED = ENABLE_GCJ_COMPILED
GCJ_SELECTED = WITH_GCJ
GREP = /bin/grep
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
JAVA = gij
JAVAC = gcj -C
JAVA_SOURCE = 2
JEMACS_VERSION = 0.7.91
LD = /usr/bin/ld
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(TO_TOPDIR)/libtool
LIBTOOL_DEPS = ./ltmain.sh
LN_S = ln -s
LTLIBOBJS = 
MAINT = 
MAINTAINER_MODE_FALSE = #
MAINTAINER_MODE_TRUE = 
MAKEINFO = ${SHELL} /tmp/unmodified/missing --run makeinfo
NM = /usr/bin/nm -B
OBJEXT = o
PACKAGE = kawa
PACKAGE_BUGREPORT = 
PACKAGE_NAME = kawa
PACKAGE_STRING = kawa 1.7.91
PACKAGE_TARNAME = kawa
PACKAGE_VERSION = 1.7.91
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
SWING_SELECTED = WITHOUT_SWING
TOP_BUILDDIR = /tmp/unmodified
VERSION = 1.7.91
WITH_AWT_FALSE = 
WITH_AWT_TRUE = #
WITH_GCJ_FALSE = #
WITH_GCJ_TRUE = 
WITH_SAX2_FALSE = 
WITH_SAX2_TRUE = #
WITH_SWING_FALSE = 
WITH_SWING_TRUE = #
WITH_SWT_FALSE = 
WITH_SWT_TRUE = #
XML_SELECTED = XML_DISABLED
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_GCJ = gcj
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__fastdepGCJ_FALSE = #
am__fastdepGCJ_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
conf_classpath = 
datadir = ${prefix}/share
exec_prefix = ${prefix}
extra_java = 
filesep = /
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /tmp/unmodified/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pathsep = :
prefix = /tmp/kawa
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
SUFFIXES = .java .class .scm .el .lisp
javadir = $(datadir)/java/$(subdir)
JAVACFLAGS = 
CLASSPATH_ENV = CLASSPATH=$(JAVAROOT):$(srcdir)/$(JAVAROOT):$$CLASSPATH
JAVAROOT = $(top_builddir)
JAR = fastjar
OFILES_DIR = $(TO_TOPDIR)/bin
TO_TOPDIR = $(top_builddir)
ENABLE_GCJ_COMPILED = $(EXTRA_GCJ_COMPILED) $(OFILES_DIR)/$(PACKAGE_FNAME).lo
java_Java = $(java_BUILT) $(java_sources)
GCJ_DEPS = $(java_Java) $(EXTRA_GCJ_DEPS)
DISTFILES = $(DIST_COMMON)  $(java_sources) $(java_SCM) $(TEXINFOS) $(EXTRA_DIST)
CLEANFILES = $(java_BUILT) *.class *.stamp *.jar $(OFILES_DIR)/$(PACKAGE_FNAME).lo $(EXTRA_CLEAN)
DISABLE_GCJ_COMPILED_KAWA1 = $(JAVA) kawa.repl
ENABLE_GCJ_COMPILED_KAWA1 = $(OFILES_DIR)/kawa1$(exeext)
# Compiler to use for compiling builtin .scm/.el/.cl files.
ENABLE_GCJ_COMPILED_CDEP = $(TO_TOPDIR)/kawa1$(exeext)
java_SCM = \
  $(java_SCM_ALWAYS) \
  $(scm_WITHOUT_AWT)


# NOTE if you update this list, also update build.xml.
java_SCM_ALWAYS = \
  prim_syntax.scm \
  std_syntax.scm \
  reflection.scm \
  syntax.scm \
  lists.scm \
  thread.scm \
  characters.scm \
  keywords.scm \
  numbers.scm \
  strings.scm \
  parameters.scm \
  ports.scm \
  files.scm \
  misc.scm \
  vectors.scm \
  uniform.scm \
  arrays.scm \
  system.scm \
  trace.scm

scm_WITH_AWT = windows.scm
EXTRA_DIST = $(java_SCM_ALWAYS) $(scm_WITH_AWT)
PACKAGE_FNAME = kawa-lib
KAWA1 = $(ENABLE_GCJ_COMPILED_KAWA1)
EXTRA_GCJ_COMPILED = ../../bin/kawa1$(exeext) scm-classes.stamp
EXTRA_GCJ_INPUTS = *.class
SCM_COMPILE_FLAGS = --warn-undefined-variable
all: all-am

.SUFFIXES:
.SUFFIXES: .java .class .scm .el .lisp
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/Make-rules $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  kawa/lib/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  kawa/lib/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	$(mkdir_p) $(distdir)/../..
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-exec install-exec-am \
	install-info install-info-am install-man install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
	uninstall-info-am


# Make sure $(KAWA1) is available, if --enable-gcj-compiled.
$(TO_TOPDIR)/kawa1$(exeext):
	cd $(OFILES_DIR) && $(MAKE) kawa1$(exeext)

$(OFILES_DIR)/$(PACKAGE_FNAME).lo:  $(GCJ_DEPS)
	$(LIBTOOL) --mode=compile $(GCJ) $(GCJFLAGS) \
	  -I$(JAVAROOT) -I$(srcdir)/$(JAVAROOT) -c \
	  $^ $(EXTRA_GCJ_INPUTS) -o $(OFILES_DIR)/$(PACKAGE_FNAME).lo

java-classes.stamp: $(java_Java)
	$(CLASSPATH_ENV) $(JAVAC) -d $(JAVAROOT) $(JAVACFLAGS) $?
	echo timestamp > java-classes.stamp

scm-classes.stamp: $(java_SCM)
	$(CLASSPATH_ENV) \
	  $(KAWA1) -d $(top_builddir) --module-static-run $(SCM_COMPILE_FLAGS) \
	    -P `echo $(PACKAGE_FNAME)|sed -e s/-/./g`. -C $?
	echo timestamp > scm-classes.stamp

clisp-classes.stamp: $(java_CLISP)
	$(CLASSPATH_ENV) $(KAWA1) -d $(top_builddir) \
	    -P `echo $(PACKAGE_FNAME)|sed -e s/-/./g`. --clisp -C $?
	echo timestamp > clisp-classes.stamp

elisp-classes.stamp: $(java_ELISP)
	$(CLASSPATH_ENV) $(KAWA1) -d $(top_builddir) \
	    -P `echo $(PACKAGE_FNAME)|sed -e s/-/./g`. --elisp -C $?
	echo timestamp > elisp-classes.stamp

# Used to generate makekawa.bat in ../.. .
list-sources:
	echo $(SOURCES)

all: Makefile $(ENABLE_GCJ_COMPILED_CDEP) scm-classes.stamp $(ENABLE_GCJ_COMPILED)
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
